%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name Frozen-Flask
%define version 0.15
%define unmangled_version 0.15
%define unmangled_version 0.15
%define release 1

Summary: Freezes a Flask application into a set of static files.
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}Frozen-Flask
Version: %{version}
Release: %{release}
Source0: Frozen-Flask-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/Frozen-Flask-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Simon Sapin <simon.sapin@exyr.org>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/Frozen-Flask/Frozen-Flask


%description

Frozen-Flask
------------

Freezes a Flask application into a set of static files. The result can be hosted
without any server-side software other than a traditional web server.

Links
`````

* `documentation <http://pythonhosted.org/Frozen-Flask/>`_
* `development version
  <http://github.com/Frozen-Flask/Frozen-Flask/zipball/master#egg=Frozen-Flask-dev>`_



%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n Frozen-Flask-%{unmangled_version} -n Frozen-Flask-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
